org.vishia.gral.swt

## Class SwtMng.SelectionListenerForSlider

- java.lang.Object
- - org.vishia.gral.swt.SwtMng.SelectionListenerForSlider

- All Implemented Interfaces:
    java.util.EventListener, org.eclipse.swt.events.SelectionListener, org.eclipse.swt.internal.SWTEventListener
  Enclosing class:
    SwtMng

      static class SwtMng.SelectionListenerForSlider
      extends java.lang.Object
      implements org.eclipse.swt.events.SelectionListener

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private GralUserAction` | `userAction`
    `private GralWidget` | `widgetInfo`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SelectionListenerForSlider(GralWidget widgetInfo, GralUserAction userAction)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `widgetDefaultSelected(org.eclipse.swt.events.SelectionEvent e)`
    `void` | `widgetSelected(org.eclipse.swt.events.SelectionEvent e)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.swt.events.SelectionListener

      `widgetDefaultSelectedAdapter, widgetSelectedAdapter`

- - ### Field Detail

    - #### userAction

          private final GralUserAction userAction

    - #### widgetInfo

          private final GralWidget widgetInfo

  - ### Constructor Detail

    - #### SelectionListenerForSlider

          public SelectionListenerForSlider(GralWidget widgetInfo,
                                            GralUserAction userAction)

  - ### Method Detail

    - #### widgetDefaultSelected

          public void widgetDefaultSelected(org.eclipse.swt.events.SelectionEvent e)

      Specified by:
        `widgetDefaultSelected` in interface `org.eclipse.swt.events.SelectionListener`

    - #### widgetSelected

          public void widgetSelected(org.eclipse.swt.events.SelectionEvent e)

      Specified by:
        `widgetSelected` in interface `org.eclipse.swt.events.SelectionListener`